Page MenuHomePhabricator

Please upload large file to Wikimedia Commons
Closed, ResolvedPublic

Description

Please upload these file(s) to Wikimedia Commons:

Thank

Event Timeline

Butko created this task.Mar 12 2016, 6:27 PM
Restricted Application added subscribers: zhuyifei1999, JEumerus, Steinsplitter and 2 others. · View Herald TranscriptMar 12 2016, 6:27 PM
Dereckson triaged this task as Normal priority.Mar 12 2016, 7:21 PM
Dereckson updated the task description. (Show Details)

Did you try uploading it using UploadWizard?

Change 277060 had a related patch set uploaded (by Zhuyifei1999):
[WIP] site: Support async uploads

https://gerrit.wikimedia.org/r/277060

oops wrong task

Since T129216 will require some time (uploading overhaul), I moved the files elsewhere in the instance) so they don't get cleaned up by the automatic 7-day dumper script. The files are thus inaccessible by http. Sftp to encoding02.video.eqiad.wmflabs in /srv/pwb-async-dev/ssu/Выступления_участников_1-го_съезда_Союза_борцов_за_независимость_Донбасса.webm{,.txt} will work, for now.

Dereckson removed zhuyifei1999 as the assignee of this task.Mar 17 2016, 2:44 AM
Dereckson added a subscriber: Dereckson.

So this doesn't seem achievable with the upload wizard . A member of our local hackerspace uploaded it three times, and didn't got a success:

It seems there is a problem server side when the server tries to reconstitute the file from the chunks. We can note after 42 minutes the progress bar is at more or less 60%.

At this stage, the file appears well in UploadStash. The publish link doesn't work.

[ Placing the task up to grav, as it's not an issue with uploading but server handling after it has been uploaded. ]

Dereckson updated the task description. (Show Details)Mar 17 2016, 2:48 AM

Since T129216 will require some time (uploading overhaul), I moved the files elsewhere in the instance) so they don't get cleaned up by the automatic 7-day dumper script. The files are thus inaccessible by http. Sftp to encoding02.video.eqiad.wmflabs in /srv/pwb-async-dev/ssu/Выступления_участников_1-го_съезда_Союза_борцов_за_независимость_Донбасса.webm{,.txt} will work, for now.

I grabbed the file on a publicly accessible server to test it, so we have it (but we lost the description).

Need the description to do this. I don't really have any legitimate access to that project the files were in.

So this doesn't seem achievable with the upload wizard . A member of our local hackerspace uploaded it three times, and didn't got a success:


It seems there is a problem server side when the server tries to reconstitute the file from the chunks. We can note after 42 minutes the progress bar is at more or less 60%.
At this stage, the file appears well in UploadStash. The publish link doesn't work.
[ Placing the task up to grav, as it's not an issue with uploading but server handling after it has been uploaded. ]

Does UW use async uploads? If not, it's T128358: Uploading 1.2GB ogv results in 503.

Need the description to do this. I don't really have any legitimate access to that project the files were in.

Before that, just let me see if async chunked uploading will work, okay? If that doesn't work I'll renew the modified date and put the file back so you can do a server-side upload.

@bukto Could you provide a .backup of your txt?

zhuyifei1999 removed zhuyifei1999 as the assignee of this task.Mar 28 2016, 12:15 AM

The script will probably take two more weeks due to lack of time; I'll find another file for testing (this file should be available on web now).

Krenair assigned this task to Butko.Mar 28 2016, 9:01 PM
Krenair claimed this task.Mar 28 2016, 9:09 PM

Oh, right, the description is there.

Krenair closed this task as Resolved.Mar 28 2016, 9:14 PM